package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.AtlasSceneResource;
import com.lightinit.hsdataportal.entity.AtlasSceneResourceExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AtlasSceneResourceMapper {
    long countByExample(AtlasSceneResourceExample example);

    int deleteByExample(AtlasSceneResourceExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AtlasSceneResource record);

    int insertSelective(AtlasSceneResource record);

    List<AtlasSceneResource> selectByExample(AtlasSceneResourceExample example);

    AtlasSceneResource selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AtlasSceneResource record, @Param("example") AtlasSceneResourceExample example);

    int updateByExample(@Param("record") AtlasSceneResource record, @Param("example") AtlasSceneResourceExample example);

    int updateByPrimaryKeySelective(AtlasSceneResource record);

    int updateByPrimaryKey(AtlasSceneResource record);
}